---
type: api
title: Update settings
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-put-fleet-settings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-put-fleet-settings
products:
  - Kibana
---

# Update settings

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/fleet/settings`
- `PUT` `/s/{space_id}/api/fleet/settings`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Update the global Fleet settings.<br/><br/>[Required authorization] Route required privileges: fleet-settings-all.

## Request Body

`application/json`

- `additional_yaml_config` (string) — optional — deprecated
- `delete_unenrolled_agents` (object) — optional
  - `enabled` (boolean) — required
  - `is_preconfigured` (boolean) — required
- `has_seen_add_data_notice` (boolean) — optional — deprecated
- `integration_knowledge_enabled` (boolean) — optional
- `kibana_ca_sha256` (string) — optional — deprecated
- `kibana_urls` ([] string · max: 10) — optional — deprecated
- `prerelease_integrations_enabled` (boolean) — optional

## Responses

#### `200`

Successful response

`application/json`

- `item` (object)
  - `action_secret_storage_requirements_met` (boolean)
  - `delete_unenrolled_agents` (object)
    - `enabled` (boolean)
    - `is_preconfigured` (boolean)
  - `download_source_auth_secret_storage_requirements_met` (boolean)
  - `has_seen_add_data_notice` (boolean)
  - `id` (string)
  - `ilm_migration_status` (object)
    - `logs` (enum) — nullable
      Values: `success`, `null`
    - `metrics` (enum) — nullable
      Values: `success`, `null`
    - `synthetics` (enum) — nullable
      Values: `success`, `null`
  - `integration_knowledge_enabled` (boolean)
  - `otlp_output_requirements_met` (boolean)
  - `output_secret_storage_requirements_met` (boolean)
  - `preconfigured_fields` ([] enum  · max: 1)
    Values: `fleet_server_hosts`
  - `prerelease_integrations_enabled` (boolean)
  - `secret_storage_requirements_met` (boolean)
  - `ssl_secret_storage_requirements_met` (boolean)
  - `use_space_awareness_migration_started_at` (string) — nullable
  - `use_space_awareness_migration_status` (enum)
    Values: `pending`, `success`, `error`
  - `version` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

`application/json`

- `message` (string)
## Code Examples

#### Console

```console
PUT /api/fleet/settings
{
  "prerelease_integrations_enabled": true
}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/fleet/settings" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
  "prerelease_integrations_enabled": true
}'
```

## Response Examples

#### Put settings

The updated Fleet settings

```json
{
  "item": {
    "delete_unenrolled_agents": {
      "enabled": false,
      "is_preconfigured": false
    },
    "has_seen_add_data_notice": true,
    "id": "fleet-default-settings",
    "otlp_output_requirements_met": true,
    "output_secret_storage_requirements_met": true,
    "prerelease_integrations_enabled": true,
    "secret_storage_requirements_met": true,
    "version": "WzIsMV0="
  }
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found

Fleet settings have not been initialized

```json
{
  "error": "Not Found",
  "message": "Settings not found",
  "statusCode": 404
}
```

